# vehiclelist.h File Reference

Functions and type for generating vehicle lists. More...

`#include "core/smallvec_type.hpp"`

Go to the source code of this file.

## Typedefs
typedef SmallVector< const Vehicle *, 32 > | VehicleList
## Functions
void | GenerateVehicleSortList (VehicleList *list, VehicleType type, Owner owner, uint32 index, uint16 window_type)
void | BuildDepotVehicleList (VehicleType type, TileIndex tile, VehicleList *engine_list, VehicleList *wagon_list, bool individual_wagons=false)

## Detailed Description

Functions and type for generating vehicle lists.

Definition in file vehiclelist.h.